// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
var isAll = false
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '已上传图片', leftArrow: true, useBar: false },
        list: [

            {
                id: '1', name: '朝阳沟第三节力气大赛', time: '2020.11.12', shop1: '/image/shop1.png', shop2: '/image/shop2.png', shop3: '/image/shop3.png',

            },
            {
                id: '1', name: '朝阳沟第三节力气大赛', time: '2020.11.12', shop1: '/image/shop1.png', shop2: '/image/shop2.png', shop3: '/image/shop3.png',

            }
        ],

    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //提交
    formSubmit: function (e) {
        console.log('form发生了submit事件，携带数据为：', e.detail.value)
    },

    //实现全选的点击事件，首先要定义一个全局变量isAll=false，让复选框默认为不勾选状态
    checkq: function () {
        var list = this.data.list;
        console.log(list);
        isAll = !isAll;
        if (isAll) {
            for (var i = 0; i < list.length; i++) {
                var item = list[i];
                item.isCheck = true
                list.splice(i, 1, item)
            }
        } else {
            for (var i = 0; i < list.length; i++) {
                var item = list[i];
                item.isCheck = false
                list.splice(i, 1, item)
            }
        }
        this.setData({
            list: list
        })
    },
    //点击减号删除
    delList: function () {
        var list = this.data.list;
        list.pop();      //实质是删除lists数组内容，使for循环少一次
        this.setData({
            list: list,
        })
    },
    //删除图片
    deleteImg: function (e) {
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算高度
        this.searchHeight()
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})